Subject: bug#51057: 29.0.50; Can't compile - undefined reference to md5 stram in image.c

From: Arthur Miller <[email-masked]>
Date: Wed, 06 Oct 2021 13:36:01 +0200

I pulled from the master yesterday and today, but can't seem able to compile
Emacs. I did make bootstrap.

Last "pull" that builds fine is from the oct 4th (2 days ago).

The linker error is below:

image.c: I funktion ”svg_load_image”:
image.c:10095:5: varning: ”rsvg_handle_get_dimensions” bör undvikas: Use 'rsvg_handle_get_intrinsic_size_in_pixels' instead [-Wdeprecated-declarations]
10095 |     rsvg_handle_get_dimensions (rsvg_handle, &dimension_data);
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~
I filen inkluderad ifrån image.c:9635:
/usr/include/librsvg-2.0/librsvg/rsvg.h:719:6: anm: deklarerad här
  719 | void rsvg_handle_get_dimensions (RsvgHandle *handle, RsvgDimensionData *dimension_data);
      |      ^~~~~~~~~~~~~~~~~~~~~~~~~~
  CCLD     temacs
/usr/bin/ld: comp.o: in function `Fcomp_el_to_eln_rel_filename':
comp.c:(.text+0x1df9): undefined reference to `md5_stream'
collect2: fel: ld returnerade avslutningsstatus 1
make[2]: *** [Makefile:647: temacs] Fel 1
make[2]: Lämnar katalogen ”/home/arthur/repos/emacs/src”
make[1]: *** [Makefile:449: src] Fel 2
make[1]: *** Inväntar oavslutade jobb...
make[2]: Lämnar katalogen ”/home/arthur/repos/emacs/doc/lispref”
make[1]: Lämnar katalogen ”/home/arthur/repos/emacs”

The config flags I use:

--without-modules --with-cairo --with-compress-install --with-x-toolkit=no
  --with-gnutls --without-gconf --without-xwidgets --without-toolkit-scroll-bars
  --without-xaw3d --without-gsettings --with-mailutils --with-native-compilation
  'CFLAGS=-O2 -march=native -mtune=native'

I haven't try to build with other options, possibly it works, but I haven't had
time to test.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, cairo version 1.17.4)
 of 2021-10-06 built on pascal
Repository revision: 508dea329d8ef389b6b07d6339faf753d746ff16
Repository branch: edebug-clear-plist
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Arch Linux

Configured using:
 'configure --without-modules --with-cairo --with-compress-install
 --with-x-toolkit=no --with-gnutls --without-gconf --without-xwidgets
 --without-toolkit-scroll-bars --without-xaw3d --without-gsettings
 --with-mailutils --with-native-compilation 'CFLAGS=-O2 -march=native
 -mtune=native''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ JPEG JSON LCMS2 LIBOTF
LIBSYSTEMD LIBXML2 M17N_FLT NATIVE_COMP NOTIFY INOTIFY OLDXMENU PDUMPER PNG RSVG
SECCOMP SOUND THREADS TIFF X11 XDBE XIM XPM ZLIB

Important settings:
  value of $LANG: sv_SE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Message

Minor modes in effect:
  windmove-mode: t
  gnus-message-citation-mode: t
  mml-mode: t
  beacon-mode: t
  dired-async-mode: t
  company-mode: t
  wrap-region-global-mode: t
  wrap-region-mode: t
  which-key-mode: t
  electric-pair-mode: t
  global-auto-revert-mode: t
  global-hl-line-mode: t
  global-subword-mode: t
  subword-mode: t
  auto-image-file-mode: t
  auto-insert-mode: t
  display-time-mode: t
  delete-selection-mode: t
  save-place-mode: t
  winner-mode: t
  helm-mode: t
  helm-adaptive-mode: t
  shell-dirtrack-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: yas--auto-fill
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/arthur/repos/emacs/lisp/transient hides /home/arthur/.emacs.d/elpa/transient-20210723.1601/transient
/home/arthur/.emacs.d/elpa/lispy-20210827.854/elpa hides /home/arthur/.emacs.d/elpa/ivy-20210730.1743/elpa
/home/arthur/.emacs.d/lisp/helm-git-branch hides /home/arthur/.emacs.d/elpa/helm-git-branch-0.1/helm-git-branch
/usr/local/share/emacs/site-lisp/emms/emms-cue hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-cue
/usr/local/share/emacs/site-lisp/emms/emms-info-ogginfo hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-info-ogginfo
/usr/local/share/emacs/site-lisp/emms/emms-mark hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-mark
/usr/local/share/emacs/site-lisp/emms/emms-last-played hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-last-played
/usr/local/share/emacs/site-lisp/emms/emms-player-mpg321-remote hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-mpg321-remote
/usr/local/share/emacs/site-lisp/emms/emms-score hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-score
/usr/local/share/emacs/site-lisp/emms/emms-player-mpd hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-mpd
/usr/local/share/emacs/site-lisp/emms/emms-show-all hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-show-all
/usr/local/share/emacs/site-lisp/emms/emms-setup hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-setup
/usr/local/share/emacs/site-lisp/emms/emms-playlist-sort hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-playlist-sort
/usr/local/share/emacs/site-lisp/emms/emms hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms
/usr/local/share/emacs/site-lisp/emms/emms-info-mp3info hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-info-mp3info
/usr/local/share/emacs/site-lisp/emms/emms-source-playlist hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-source-playlist
/usr/local/share/emacs/site-lisp/emms/emms-cache hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-cache
/usr/local/share/emacs/site-lisp/emms/emms-volume hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-volume
/usr/local/share/emacs/site-lisp/emms/emms-playing-time hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-playing-time
/usr/local/share/emacs/site-lisp/emms/emms-tag-editor hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-tag-editor
/usr/local/share/emacs/site-lisp/emms/emms-source-file hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-source-file
/usr/local/share/emacs/site-lisp/emms/emms-bookmarks hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-bookmarks
/usr/local/share/emacs/site-lisp/emms/emms-player-simple hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-simple
/usr/local/share/emacs/site-lisp/emms/emms-player-xine hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-xine
/usr/local/share/emacs/site-lisp/emms/emms-librefm-stream hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-librefm-stream
/usr/local/share/emacs/site-lisp/emms/emms-browser hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-browser
/usr/local/share/emacs/site-lisp/emms/emms-maint hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-maint
/usr/local/share/emacs/site-lisp/emms/emms-playlist-mode hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-playlist-mode
/usr/local/share/emacs/site-lisp/emms/emms-url hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-url
/usr/local/share/emacs/site-lisp/emms/emms-streams hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-streams
/usr/local/share/emacs/site-lisp/emms/emms-info-opusinfo hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-info-opusinfo
/usr/local/share/emacs/site-lisp/emms/emms-mode-line hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-mode-line
/usr/local/share/emacs/site-lisp/emms/emms-player-mplayer hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-mplayer
/usr/local/share/emacs/site-lisp/emms/emms-info hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-info
/usr/local/share/emacs/site-lisp/emms/emms-librefm-scrobbler hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-librefm-scrobbler
/usr/local/share/emacs/site-lisp/emms/emms-info-libtag hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-info-libtag
/usr/local/share/emacs/site-lisp/emms/emms-info-metaflac hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-info-metaflac
/usr/local/share/emacs/site-lisp/emms/emms-metaplaylist-mode hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-metaplaylist-mode
/usr/local/share/emacs/site-lisp/emms/emms-compat hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-compat
/usr/local/share/emacs/site-lisp/emms/emms-volume-pulse hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-volume-pulse
/usr/local/share/emacs/site-lisp/emms/emms-player-mpv hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-mpv
/usr/local/share/emacs/site-lisp/emms/emms-playlist-limit hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-playlist-limit
/usr/local/share/emacs/site-lisp/emms/emms-history hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-history
/usr/local/share/emacs/site-lisp/emms/emms-player-vlc hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-player-vlc
/usr/local/share/emacs/site-lisp/emms/emms-mode-line-icon hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-mode-line-icon
/usr/local/share/emacs/site-lisp/emms/emms-lyrics hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-lyrics
/usr/local/share/emacs/site-lisp/emms/emms-stream-info hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-stream-info
/usr/local/share/emacs/site-lisp/emms/emms-volume-amixer hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-volume-amixer
/usr/local/share/emacs/site-lisp/emms/emms-i18n hides /home/arthur/.emacs.d/elpa/emms-20210726.1926/emms-i18n
/home/arthur/.emacs.d/lisp/company-cmake hides /home/arthur/.emacs.d/elpa/company-20210721.2003/company-cmake
/home/arthur/.emacs.d/elpa/peep-dired-1.1.0/peep-dired hides /home/arthur/.emacs.d/elpa/bak-peep-dired-20160321.2237/peep-dired
/home/arthur/.emacs.d/elpa/peep-dired-1.1.0/peep-dired-autoloads hides /home/arthur/.emacs.d/elpa/bak-peep-dired-20160321.2237/peep-dired-autoloads
/home/arthur/.emacs.d/elpa/peep-dired-1.1.0/peep-dired-pkg hides /home/arthur/.emacs.d/elpa/bak-peep-dired-20160321.2237/peep-dired-pkg

Features:
(shadow emacsbug sendmail dired-auto-readme vc-git diff-mode vc-dispatcher
helm-external helm-net ffap windmove smiley shr-color mm-archive mail-extr qp
gnus-async gnus-ml gnus-topic cursor-sensor url-cache benchmark nndraft nnmh
nnhackernews anaphora request mm-url gnus-bcklg gnus-cite nnfolder utf-7 gnutls
network-stream gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg
gnus-art mm-uu mml2015 mm-view mml-smime smime dig nntp gnus-cache gnus-sum shr
kinsoku svg dom gnus-group gnus-undo gnus-start gnus-dbus gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range message rfc822
mml mml-sec epa epg rfc6068 epg-config mm-decode mm-bodies mm-encode mailabbrev
gmm-utils mailheader gnus-win tramp-archive tramp-gvfs tramp-cache zeroconf dbus
helm-command sv-kalender lunar solar cal-dst holidays hol-loaddefs extras
recentf tree-widget c++-setup beacon emms-librefm-stream xml
emms-librefm-scrobbler emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon emms-browser
sort emms-playlist-sort emms-last-played emms-player-xine emms-player-mpd
emms-lyrics emms-url emms-streams emms-show-all emms-tag-editor emms-mark
emms-cache emms-info-opusinfo emms-info-ogginfo emms-info-mp3info
emms-player-vlc emms-player-mplayer emms-player-mpv emms-mode-line-cycle
emms-mode-line emms-playing-time emms-player-simple emms-info later-do
emms-playlist-limit emms-volume emms-volume-amixer emms-playlist-mode
emms-source-playlist emms-source-file locate emms-setup emms emms-compat server
overseer pkg-info url-http url-auth url-gw nsm rmc puny lisp-mnt mail-parse
rfc2231 epl f s outshine outshine-org-cmds outorg org-protocol org-pdftools
pdf-occur pdf-isearch let-alist pdf-annot tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent semantic/util-modes
semantic/util semantic semantic/tag semantic/lex semantic/fw mode-local cedet
facemenu pdf-misc imenu pdf-tools package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse url-vars cus-edit cus-start cus-load pdf-view bookmark pp
jka-compr pdf-cache pdf-info tq pdf-util pdf-macs image-mode dired-extras
dired-copy-paste dired-subtree dired-hacks-utils dired-async dired-aux openwith
dired-x wdired dired dired-loaddefs exif org-noter org-element avl-tree
org-refile org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete org-list org-faces org-entities org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys oc org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs noutline outline yasnippet-snippets
yasnippet derived disp-table page-break-lines company-yasnippet company-ispell
ispell company-clang company-elisp company-etags etags fileloop generator xref
project company-semantic company-template company-keywords company-files
company-capf company pcase gnus nnheader gnus-util rmail rmail-loaddefs rfc2047
rfc2045 ietf-drums mail-utils mm-util mail-prsvr wid-edit wrap-region dash
solarized-dark-theme solarized solarized-faces color which-key advice elec-pair
autorevert hl-line cap-words superword subword image-file image-converter
autoinsert time delsel saveplace winner helm-pages helm-mode helm-adaptive
helm-projectile projectile grep compile text-property-search ibuf-ext ibuffer
ibuffer-loaddefs thingatpt helm-eshell helm-elisp helm-files filenotify tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell pcomplete
comint ansi-color parse-time iso8601 time-date ls-lisp auth-source
password-cache json map helm-buffers helm-occur helm-tags helm-locate helm-grep
helm-regexp format-spec helm-eval edebug backtrace find-func helm-info ring
helm-utils helm-types helm-help helm-config helm easy-mmode helm-global-bindings
edmacro kmacro helm-source eieio eieio-core eieio-loaddefs helm-multi-match
helm-lib diminish async-bytecomp async elisp-extras popup info helm-easymenu cl
comp comp-cstr warnings rx cl-seq cl-macs cl-extra help-mode seq subr-x byte-opt
bytecomp byte-compile cconv gv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select scroll-bar mouse
jit-lock font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting font-render-setting
cairo x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 718723 954249)
 (symbols 48 43610 606)
 (strings 32 167847 286737)
 (string-bytes 1 6083244)
 (vectors 16 83709)
 (vector-slots 8 1450352 1796727)
 (floats 8 1551 4573)
 (intervals 56 3361 2780)
 (buffers 992 44))